Saltar para o conteúdo principal
POST
/
v1
/
videos
/
generations
curl --request POST \
  --url https://api.apimart.ai/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "viduq3",
    "prompt": "Santa Claus and the bear hug by the lakeside",
    "image_urls": [
      "https://example.com/santa.png",
      "https://example.com/bear.png"
    ],
    "duration": 8,
    "resolution": "720p",
    "aspect_ratio": "16:9"
  }'
import requests

url = "https://api.apimart.ai/v1/videos/generations"

payload = {
    "model": "viduq3",
    "prompt": "Santa Claus and the bear hug by the lakeside",
    "image_urls": [
        "https://example.com/santa.png",
        "https://example.com/bear.png"
    ],
    "duration": 8,
    "resolution": "720p",
    "aspect_ratio": "16:9"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";

const payload = {
  model: "viduq3",
  prompt: "Santa Claus and the bear hug by the lakeside",
  image_urls: [
    "https://example.com/santa.png",
    "https://example.com/bear.png"
  ],
  duration: 8,
  resolution: "720p",
  aspect_ratio: "16:9"
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.apimart.ai/v1/videos/generations"

    payload := map[string]interface{}{
        "model":        "viduq3",
        "prompt":       "Santa Claus and the bear hug by the lakeside",
        "image_urls":   []string{"https://example.com/santa.png", "https://example.com/bear.png"},
        "duration":     8,
        "resolution":   "720p",
        "aspect_ratio": "16:9",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://api.apimart.ai/v1/videos/generations";

        String payload = """
        {
          "model": "viduq3",
          "prompt": "Santa Claus and the bear hug by the lakeside",
          "image_urls": [
            "https://example.com/santa.png",
            "https://example.com/bear.png"
          ],
          "duration": 8,
          "resolution": "720p",
          "aspect_ratio": "16:9"
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
<?php

$url = "https://api.apimart.ai/v1/videos/generations";

$payload = [
    "model" => "viduq3",
    "prompt" => "Santa Claus and the bear hug by the lakeside",
    "image_urls" => [
        "https://example.com/santa.png",
        "https://example.com/bear.png"
    ],
    "duration" => 8,
    "resolution" => "720p",
    "aspect_ratio" => "16:9"
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
require 'net/http'
require 'json'
require 'uri'

url = URI("https://api.apimart.ai/v1/videos/generations")

payload = {
  model: "viduq3",
  prompt: "Santa Claus and the bear hug by the lakeside",
  image_urls: [
    "https://example.com/santa.png",
    "https://example.com/bear.png"
  ],
  duration: 8,
  resolution: "720p",
  aspect_ratio: "16:9"
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
import Foundation

let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!

let payload: [String: Any] = [
    "model": "viduq3",
    "prompt": "Santa Claus and the bear hug by the lakeside",
    "image_urls": [
        "https://example.com/santa.png",
        "https://example.com/bear.png"
    ],
    "duration": 8,
    "resolution": "720p",
    "aspect_ratio": "16:9"
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }

    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://api.apimart.ai/v1/videos/generations";

        var payload = @"{
            ""model"": ""viduq3"",
            ""prompt"": ""Santa Claus and the bear hug by the lakeside"",
            ""image_urls"": [
                ""https://example.com/santa.png"",
                ""https://example.com/bear.png""
            ],
            ""duration"": 8,
            ""resolution"": ""720p"",
            ""aspect_ratio"": ""16:9""
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_xxxxxxxxxx"
    }
  ]
}
{
  "error": {
    "code": 400,
    "message": "Invalid request parameters",
    "type": "invalid_request_error"
  }
}
{
  "error": {
    "code": 401,
    "message": "Invalid authentication credentials",
    "type": "authentication_error"
  }
}
{
  "error": {
    "code": 402,
    "message": "Insufficient balance. Please top up your account",
    "type": "payment_required"
  }
}
{
  "error": {
    "code": 429,
    "message": "Rate limit exceeded. Please try again later",
    "type": "rate_limit_error"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal server error. Please try again later",
    "type": "server_error"
  }
}
curl --request POST \
  --url https://api.apimart.ai/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "viduq3",
    "prompt": "Santa Claus and the bear hug by the lakeside",
    "image_urls": [
      "https://example.com/santa.png",
      "https://example.com/bear.png"
    ],
    "duration": 8,
    "resolution": "720p",
    "aspect_ratio": "16:9"
  }'
import requests

url = "https://api.apimart.ai/v1/videos/generations"

payload = {
    "model": "viduq3",
    "prompt": "Santa Claus and the bear hug by the lakeside",
    "image_urls": [
        "https://example.com/santa.png",
        "https://example.com/bear.png"
    ],
    "duration": 8,
    "resolution": "720p",
    "aspect_ratio": "16:9"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";

const payload = {
  model: "viduq3",
  prompt: "Santa Claus and the bear hug by the lakeside",
  image_urls: [
    "https://example.com/santa.png",
    "https://example.com/bear.png"
  ],
  duration: 8,
  resolution: "720p",
  aspect_ratio: "16:9"
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.apimart.ai/v1/videos/generations"

    payload := map[string]interface{}{
        "model":        "viduq3",
        "prompt":       "Santa Claus and the bear hug by the lakeside",
        "image_urls":   []string{"https://example.com/santa.png", "https://example.com/bear.png"},
        "duration":     8,
        "resolution":   "720p",
        "aspect_ratio": "16:9",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://api.apimart.ai/v1/videos/generations";

        String payload = """
        {
          "model": "viduq3",
          "prompt": "Santa Claus and the bear hug by the lakeside",
          "image_urls": [
            "https://example.com/santa.png",
            "https://example.com/bear.png"
          ],
          "duration": 8,
          "resolution": "720p",
          "aspect_ratio": "16:9"
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
<?php

$url = "https://api.apimart.ai/v1/videos/generations";

$payload = [
    "model" => "viduq3",
    "prompt" => "Santa Claus and the bear hug by the lakeside",
    "image_urls" => [
        "https://example.com/santa.png",
        "https://example.com/bear.png"
    ],
    "duration" => 8,
    "resolution" => "720p",
    "aspect_ratio" => "16:9"
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
require 'net/http'
require 'json'
require 'uri'

url = URI("https://api.apimart.ai/v1/videos/generations")

payload = {
  model: "viduq3",
  prompt: "Santa Claus and the bear hug by the lakeside",
  image_urls: [
    "https://example.com/santa.png",
    "https://example.com/bear.png"
  ],
  duration: 8,
  resolution: "720p",
  aspect_ratio: "16:9"
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
import Foundation

let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!

let payload: [String: Any] = [
    "model": "viduq3",
    "prompt": "Santa Claus and the bear hug by the lakeside",
    "image_urls": [
        "https://example.com/santa.png",
        "https://example.com/bear.png"
    ],
    "duration": 8,
    "resolution": "720p",
    "aspect_ratio": "16:9"
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }

    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://api.apimart.ai/v1/videos/generations";

        var payload = @"{
            ""model"": ""viduq3"",
            ""prompt"": ""Santa Claus and the bear hug by the lakeside"",
            ""image_urls"": [
                ""https://example.com/santa.png"",
                ""https://example.com/bear.png""
            ],
            ""duration"": 8,
            ""resolution"": ""720p"",
            ""aspect_ratio"": ""16:9""
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_xxxxxxxxxx"
    }
  ]
}
{
  "error": {
    "code": 400,
    "message": "Invalid request parameters",
    "type": "invalid_request_error"
  }
}
{
  "error": {
    "code": 401,
    "message": "Invalid authentication credentials",
    "type": "authentication_error"
  }
}
{
  "error": {
    "code": 402,
    "message": "Insufficient balance. Please top up your account",
    "type": "payment_required"
  }
}
{
  "error": {
    "code": 429,
    "message": "Rate limit exceeded. Please try again later",
    "type": "rate_limit_error"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal server error. Please try again later",
    "type": "server_error"
  }
}

Autorização

Authorization
string
obrigatório
Todos os endpoints da API exigem autenticação via Bearer TokenObtenha sua chave de API:Acesse a página de gerenciamento de chaves de API para obter sua chave de APIAdicione-a ao cabeçalho da requisição:
Authorization: Bearer YOUR_API_KEY

Parâmetros da requisição

model
string
obrigatório
Nome do modelo de geração de vídeoModelos suportados:
  • viduq3-mix - Qualidade premium, transições inteligentes mais robustas, suporta vídeos curtos de 1 segundo
  • viduq3 - Escolha padrão, com troca de câmera mais inteligente
Como escolher: Use viduq3 para uso cotidiano; use viduq3-mix para qualidade premium ou efeitos de movimento de 1-2 segundos.
prompt
string
obrigatório
Prompt de texto, máximo de 5000 caracteresDescreva ações e movimentos de câmera, não a aparência (a aparência é determinada pelas imagens de referência).Exemplo: "Santa Claus and the bear hug by the lakeside"
image_urls
array<url>
obrigatório
Array de URLs de imagens de referência, 1 a 7 imagensSuporta URLs de imagens publicamente acessíveis (http:// ou https://)Exemplo: ["https://example.com/santa.png", "https://example.com/bear.png"]
  • Quantidade: 1 a 7 imagens
  • Formatos suportados: PNG, JPEG, JPG, WebP
  • Tamanho mínimo: 128×128
  • Proporção: entre 1:4 e 4:1
  • Tamanho máximo de arquivo: ≤ 50MB por imagem
  • Devem ser URLs publicamente acessíveis
duration
integer
padrão:"5"
Duração do vídeo (segundos)
  • viduq3-mix: 1 a 16
  • viduq3: 3 a 16
Padrão: 5
viduq3 suporta o mínimo de 3 segundos, viduq3-mix suporta o mínimo de 1 segundo. Por favor, passe uma duração válida de acordo com o modelo selecionado.
resolution
string
padrão:"720p"
Resolução do vídeo
  • viduq3-mix: 720p (padrão) / 1080p
  • viduq3: 540p / 720p (padrão) / 1080p
viduq3-mix não suporta 540p, use 720p ou 1080p.
aspect_ratio
string
padrão:"16:9"
Proporção do vídeoOpções:
  • 16:9 - Paisagem (padrão)
  • 9:16 - Retrato
  • 4:3 - Tradicional
  • 3:4 - Tradicional vertical
  • 1:1 - Quadrado
seed
integer
Seed aleatório para controlar a aleatoriedade da geraçãoSe não for fornecido, será usado um seed aleatório.
Usar o mesmo seed com parâmetros idênticos produzirá resultados semelhantes, mas não é garantido que sejam exatamente iguais.

Comparação de modelos

Recursoviduq3viduq3-mix
Recomendado paraUso cotidiano, troca de câmera em múltiplos ângulosQualidade premium, efeitos de movimento de 1-2 segundos
Faixa de duração3-16 segundos1-16 segundos
Resolução540p / 720p / 1080p720p / 1080p
Imagens de referência1-7 imagens1-7 imagens

Resposta

code
integer
Código de status da resposta, 200 em caso de sucesso
data
array
Array de dados da resposta

Casos de uso

Caso 1: viduq3 Reference-to-Video básico

{
  "model": "viduq3",
  "prompt": "Santa Claus and the bear hug by the lakeside",
  "image_urls": [
    "https://example.com/santa.png",
    "https://example.com/bear.png"
  ]
}

Caso 2: viduq3-mix Reference-to-Video de alta qualidade

{
  "model": "viduq3-mix",
  "prompt": "A cyberpunk neon street with the cat from reference image walking by",
  "image_urls": [
    "https://example.com/cat-1.png",
    "https://example.com/cat-2.png",
    "https://example.com/cat-3.png"
  ],
  "duration": 8,
  "resolution": "1080p",
  "aspect_ratio": "16:9",
  "seed": 42
}
Consultar os resultados da tarefaA geração de vídeo é uma tarefa assíncrona que retorna um task_id ao ser submetida. Use o endpoint Obter status da tarefa para consultar o progresso e os resultados da geração.